<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
menu();

/*Quien tenga permiso de creación de: Horas Extras, Retardos, Salida Anticipada, Ausencias
	También quien tenga permiso de registrar: Recursos Humanos, Médicos
	Podrá acceder a este modulo
*/
if ((substr($_SESSION['acceso_validar'],28,1)=='1') || (substr($_SESSION['acceso_validar'],32,1)=='1') || (substr($_SESSION['acceso_validar'],35,1)=='1') || (substr($_SESSION['acceso_validar'],37,1)=='1') || (substr($_SESSION['acceso_validar'],30,1)=='1') || (substr($_SESSION['acceso_validar'],34,1)=='1') ||  (($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')){
	//Tiene permisos para registrar novedades
}else{
	//No tiene permisos para registrar novedades
	echo "<center><b>No tienes permisos para acceder a este modulo</b></center>";
	exit;
}

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];

//Valida si algun empleado le falta por confirmar la jornada de este periodo abierto
$consulta_empleados="SELECT * FROM personal WHERE id = '".$_SESSION['id_validar']."' AND status = 'A' AND supervisor = '".$_SESSION['position_number']."' AND (fecha_actualizo_jornada != '".$fecha_inicio_periodo."' OR fecha_actualizo_jornada is NULL)";
$resultado_empleados = mysql_query($consulta_empleados) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
$num_emp_jorn = mysql_num_rows($resultado_empleados);

if ($num_emp_jorn>0){
	//alert('Debe confirmar la jornada de por lo menos un empleado');
	echo "<script> alert('Debe confirmar la jornada de por lo menos un empleado');
				window.location.assign('confirmar_jornada_nomina.php');
			 </script>";
	exit;
}

//Validar si existe alguna aprobación de novedades pendientes por Gerente
/*
	Valida si en el periodo actual existe alguna novedad:
	 	1. En estado "Por aprobar" (De los empleados que supervisa)
		2. En estado "Aprobada" y que la fecha de inicio de novedad este en el periodo actual
*/
//Consulto los empleados que el supervisor tiene a su Cargo
$existen_novedades_por_aprobar=0;
$existen_novedades_aprobadas=0;
if ($_SESSION['usuario_validar']=='MASTER'){ //MUESTRA TODOS LOS EMPLEADOS SI ES MASTER
	$query_emp="SELECT codigo FROM personal WHERE id = '".$_SESSION['id_validar']."' AND status != 'I'";
}elseif
	(($_SESSION['usuario_validar']=='CVEGAS')|| ($_SESSION['usuario_validar']=='OHENRIQ1')) { //MUESTRA TODOS LOS EMPLEADOS SI ES SERVICIO MEDICO
	$query_emp="SELECT codigo FROM personal WHERE id = '".$_SESSION['id_validar']."' AND status != 'I'";
	
}


else{
	$query_emp="SELECT codigo FROM personal WHERE id = '".$_SESSION['id_validar']."' AND status != 'I' AND supervisor = ".$_SESSION['position_number']."";
}
$resul_emp = mysql_query($query_emp) or die('2verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
while($reg=mysql_fetch_array($resul_emp)){
	$cedula= $reg['codigo'];
	//Por cada empleado valido si existen novedades en estado "Por aprobar" (De los empleados que supervisa)
	$query_nov="SELECT * FROM novedades WHERE codigo = '".$cedula."' AND id = '".$_SESSION['id_validar']."' AND fecha_inicio_novedad BETWEEN '".$fecha_inicio_periodo."' AND '".$fecha_fin_periodo."' AND estado_novedad in ('Por aprobar','Aprobada')";
	$resul_nov = mysql_query($query_nov) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	while($reg_nov=mysql_fetch_array($resul_nov)){
		//echo "La novedad: ".$reg_nov['id_novedad']." estado: ".$reg_nov['estado_novedad']."<br>";
		if ($reg_nov['estado_novedad']=='Por Aprobar'){
			//Existen novedades en estado "Por aprobar" (De los empleados que supervisa), es decir, que no han sido aprobadas
			$existen_novedades_por_aprobar++;
		}else{
			//Existen novedades en estado "Aprobada" y que la fecha de inicio de novedad este en el periodo actual, es decir, que ya fueron aprobadas, pero no se ha cerrado esta nomina
			$existen_novedades_aprobadas++;
		}
	}
}
$response_error="";
if ($existen_novedades_por_aprobar>0){
	$response_error .="Existen novedades por aprobar<br>";
}
if ($existen_novedades_aprobadas>0){
	$response_error .="Existen novedades aprobadas en este periodo, se debe cerrar este periodo<br>";
}
if ($existen_novedades_por_aprobar>0 || $existen_novedades_aprobadas>0 ){
	echo "<main class='container'>";
	echo "<section class='row text-center'>";
	echo "<h2 class='text-dark text-left' style='margin-left:0px !important;'>Registro de novedades de N&oacute;mina</h2>";
	echo "<div style='background: #035493; color: #fff; padding: 10px; width: auto; line-height : 28px';>";
	echo "<b><h3>No es posible registrar novedades</h3></b>";
	echo $response_error;
	echo "</div>";
	exit;
}

//Solicitar aprobación de novedades a Gerente
$accion = $_REQUEST["accion"];
$novedades_enviadas_a_aprobacion=0;
if ($accion == 'aprobacion_g6584'){
	//echo "voy a solicitar aprobación al gerente";
	//Consulto los empleados que el supervisor tiene a su Cargo
	$query_emp="SELECT codigo FROM personal WHERE id = '".$_SESSION['id_validar']."' AND status = 'A' AND supervisor = ".$_SESSION['position_number']."";
	$resul_emp = mysql_query($query_emp) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	while($reg=mysql_fetch_array($resul_emp)){
		$cedula= $reg['codigo'];
		//Por cada empleado actualizo las novedades que correspondan a este periodo y las defino en el estado "En solicitud de aprobación"
		$query_nov="SELECT id_novedad FROM novedades WHERE codigo = '".$cedula."' AND id = '".$_SESSION['id_validar']."' AND fecha_inicio_novedad BETWEEN '".$fecha_inicio_periodo."' AND '".$fecha_fin_periodo."' ";
		//echo "Query: ".$query_nov."<br>";
 		$resul_nov = mysql_query($query_nov) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		while($reg_nov=mysql_fetch_array($resul_nov)){
			//echo "<br>Actualizaré el estado de la novedad id: ".$reg_nov['id_novedad'];
			$update_nov="UPDATE novedades SET estado_novedad = 'Por Aprobar' WHERE id_novedad = '".$reg_nov['id_novedad']."' AND estado_novedad = 'Registrada'";
			$resul_upd_nov = mysql_query($update_nov) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
			$novedades_enviadas_a_aprobacion++;
		}
	}
	if ($novedades_enviadas_a_aprobacion>0){

		//Inserto en tabla historico_aprobaciones la solicitud de aprobación
		$desperiodo = $fecha_inicio_periodo." al ".$fecha_fin_periodo;
		$fecha_registro = date('Y-m-d H:i:s');
		$query_insert ="INSERT INTO historico_aprobaciones (`position_number`, `accion`, `desperiodo`, `fecha_solicitud`) VALUES ('".$_SESSION['position_number']."','solicitud_aprobacion', '$desperiodo','$fecha_registro')";
		$resul_insert = mysql_query($query_insert);

		//Envía correo
		//Datos del supervisor
		$nombre_supervisor= $_SESSION['nombre_validar'];
		//Consulta dirección de correos a enviar, según el gerente de cada empleado que se haya aprobado la novedad
		$query_ger="SELECT pe.codigo, tau_ger.e_mail AS gerente, tau_sup.e_mail AS supervisor FROM personal AS pe INNER JOIN tab_usuario AS tau_ger ON pe.gerente = tau_ger.position_number INNER JOIN tab_usuario AS tau_sup ON pe.supervisor = tau_sup.position_number WHERE pe.id = '".$_SESSION['id_validar']."' AND pe.status = 'A' AND pe.supervisor = ".$_SESSION['position_number']." GROUP BY tau_ger.e_mail";
		$resul_ger = mysql_query($query_ger) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		while($reg_ger=mysql_fetch_array($resul_ger)){
			$correo_gerente = $reg_ger['gerente'];
			$correo_supervisor = $reg_ger['supervisor'];
			//Enviar correo a Gerente
			if ($correo_gerente!='') {
				$asunto = $nombre_supervisor.' Ha solicitado aprobación de novedades';
				$email = 'info@saireh.com';
				$mensaje = 'El supervisor '.$nombre_supervisor.' ha solicitado la verificación y aprobación de novedades cargadas para el período: '.$fecha_inicio_periodo.' al '.$fecha_fin_periodo;
				$destinatario=$correo_gerente;

				$headers.="X-Mailer: PHP/". phpversion()."\r\n";
				$headers.="MIME-Version: 1.0 \r\n";
				$headers.="Content-Type: text/html; charset=iso-8859-1\r\n";
				$headers.="From:SAIREH Nomina <info@saireh.com>\r\n";
				mail("$destinatario",utf8_decode("$asunto"),utf8_decode("<font color='#000000' size='1' face='arial'>
					<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE https://www.saireh.com</strong></font><br><br>
					<br>$mensaje."),"$headers");
			}
		}
		//Enviar correo a Supervisor y RRHH
		$correo_rrhh = 'GCURBELO@FORD.COM, BSALAZA3@FORD.COM, NOMINA.FORD@SAIREH.COM';
		$asunto = $nombre_supervisor.' Ha solicitado aprobación de novedades';
		$email = 'info@saireh.com';
		$mensaje = 'El supervisor '.$nombre_supervisor.' ha solicitado la verificación y aprobación de novedades cargadas para el período: '.$fecha_inicio_periodo.' al '.$fecha_fin_periodo;
		$destinatario=$correo_supervisor.", ".$correo_rrhh;
		$headers.="X-Mailer: PHP/". phpversion()."\r\n";
		$headers.="MIME-Version: 1.0 \r\n";
		$headers.="Content-Type: text/html; charset=iso-8859-1\r\n";
		$headers.="From:SAIREH Nomina <info@saireh.com>\r\n";
		mail("$destinatario",utf8_decode("$asunto"),utf8_decode("<font color='#000000' size='1' face='arial'>
			<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE https://www.saireh.com</strong></font><br><br>
			<br>$mensaje."),"$headers");
	}
	echo "<script> alert('Aprobación solicitada');
				window.location.assign('registro_novedades_nomina.php');
			 </script>";
}
echo "<font face='verdana' size=2>";


//Guardado de datos
if (isset($_POST['procesar'])) {
	//Verifica que la fecha de inicio de la novedad a guardar se encuentre dentro del periodo actual
	switch ($_POST['select_novedad']) {
		case 'horas_extras':
			$fecha_inicio_novedad = $_POST['fecha_inicio_novedad_horas_extras'];
			break;
		case 'Retardos':
			$fecha_inicio_novedad = $_POST['fecha_inicio_novedad_retardo'];
			break;
		case 'Ausencias':
			$fecha_inicio_novedad = $_POST['fecha_inicio_novedad_ausencia'];
			$fecha_fin_novedad = $_POST['fecha_fin_novedad_ausencia'];
			break;
		case 'salida_anticipada':
			$fecha_inicio_novedad = $_POST['fecha_inicio_novedad_salida_anticipada'];
			break;
	}
	if ($fecha_fin_novedad!=''){
		if (($fecha_inicio_novedad>$fecha_fin_periodo)||($fecha_inicio_novedad<$fecha_inicio_periodo)||($fecha_fin_novedad<$fecha_inicio_periodo)){
			//No se puede registrar novedad porque supera la fecha de este
			$response_error = "Fechas incorrectas de novedad";
			echo "<main class='container'>";
			echo "<section class='row text-center'>";
			echo "<h2 class='text-dark text-left' style='margin-left:0px !important;'>Registro de novedades de N&oacute;mina</h2>";
			echo "<div style='background: #035493; color: #fff; padding: 10px; width: auto; line-height : 28px';>";
			echo "<b><h3>No es posible registrar la novedad</h3></b>";
			echo $response_error;
			echo "</div>";
			exit;
		}
	}else{
		if (($fecha_inicio_novedad>$fecha_fin_periodo)||($fecha_inicio_novedad<$fecha_inicio_periodo)){
			//No se puede registrar novedad porque supera la fecha de este
			$response_error = "Fechas incorrectas de novedad";
			echo "<main class='container'>";
			echo "<section class='row text-center'>";
			echo "<h2 class='text-dark text-left' style='margin-left:0px !important;'>Registro de novedades de N&oacute;mina</h2>";
			echo "<div style='background: #035493; color: #fff; padding: 10px; width: auto; line-height : 28px';>";
			echo "<b><h3>No es posible registrar la novedad</h3></b>";
			echo $response_error;
			echo "</div>";
			exit;
		}
	}

	$tipo_novedad=$_POST['select_novedad'];
	$response_sucess="";
	$response_alert="";
	if($tipo_novedad == "horas_extras"){
		$codigo=$_POST['cedula'];
		$tipo_novedad=$_POST['select_novedad'];
		$fecha_registro = date('Y-m-d H:i:s');
		$cargado_por=$_SESSION['nombre_validar'];
		$fecha_inicio_novedad=$_POST['fecha_inicio_novedad_horas_extras'];
		$fecha_inicio_novedad = date("Y-m-d", strtotime( $fecha_inicio_novedad));
		$hora_ingreso=$_POST['hora_ingreso_horas_extras'];
		$hora_ingreso = date("H:i:s" , strtotime($hora_ingreso));
		$hora_salida=$_POST['hora_salida_horas_extras'];
		$hora_salida = date("H:i:s" , strtotime($hora_salida));
		$motivo=$_POST['motivo_horas_extras'];
		$estado = "Registrada";

		//Verifica si se va a hacer una edición de una novedad existente
		if ($_POST['id_novedad'] != ''){
			//Va a editar, No hace nada, no se permite editar horas extras
		}else{
			//No va a editar
			//Verifica si existe alguna novedad para este empleado con la misma fecha
			$query1 = "SELECT * FROM novedades WHERE fecha_inicio_novedad = '$fecha_inicio_novedad' AND codigo = '$codigo' AND estado_novedad = 'Registrada' AND id = '".$_SESSION['id_validar']."'";
			$resultado = mysql_query($query1);
			$num = mysql_num_rows($resultado);

			if($num != 0){
				$response_alert .= "<b>No se puede registrar la novedad</b><br> La persona tiene una novedad vigente durante el lapso de tiempo relacionado en este registro. <br> Por favor revisar los conceptos del empleado.";
			}else{
				$query="INSERT INTO novedades (
				id,
				codigo,
				tipo_novedad,
				fecha_registro,
				cargado_por,
				fecha_inicio_novedad,
				hora_ingreso,
				hora_salida,
				motivo,
				estado_novedad
				)
				VALUES (
					'".$_SESSION['id_validar']."',
					'$codigo',
					'$tipo_novedad',
					'$fecha_registro',
					'$cargado_por',
					'$fecha_inicio_novedad',
					'$hora_ingreso',
					'$hora_salida',
					'$motivo',
					'$estado'
				)";
				$consulta=mysql_query($query);
				$resultado=mysql_num_rows($consulta);
				$response_sucess .= "Novedad registrada";
			}
		}
	}

	if($tipo_novedad == "Retardos"){
		$codigo=$_POST['cedula'];
		$tipo_novedad=$_POST['select_novedad'];
		$fecha_registro = date('Y-m-d H:i:s');
		$cargado_por=$_SESSION['nombre_validar'];
		$fecha_inicio_novedad=$_POST['fecha_inicio_novedad_retardo'];
		$fecha_inicio_novedad=date('Y-m-d' , strtotime($fecha_inicio_novedad));
		$hora_ingreso=$_POST['hora_ingreso_retardo'];
		$hora_ingreso = date("H:i a" , strtotime($hora_ingreso));
		$hora_salida=$_POST['hora_salida_retardo'];
		$hora_salida = date("H:i a" , strtotime($hora_salida));
		$motivo=$_POST['motivo_retardo'];
		$remunerado=$_POST['remunerado_retardo'];
		$tiempo_viaje=$_POST['tiempo_viaje'];
		$estado = "Registrada";

		//Verifica si se va a hacer una edición de una novedad existente
		if ($_POST['id_novedad'] != ''){
			//Va a editar Retardos
			/*
			Datos que son editables de Retardos:
				- Salida remunerada
				- Motivo
			*/
			$query_edit_nov="UPDATE novedades SET remunerado = '$remunerado', motivo = '$motivo', tiempo_viaje= '$tiempo_viaje' WHERE id_novedad = '".$_POST['id_novedad']."' ";
			$resultado = mysql_query($query_edit_nov);
			$response_sucess .= "Novedad actualizada";
		}else{
			$query1 = "SELECT * FROM novedades
			WHERE fecha_inicio_novedad = '$fecha_inicio_novedad'
			AND codigo = '$codigo' AND estado_novedad = 'Registrada' AND id = '".$_SESSION['id_validar']."'";
			$resultado = mysql_query($query1);
			$num = mysql_num_rows($resultado);
			if ($num != 0) {
				$response_alert .= "<b>No se puede registrar la novedad</b><br> La persona tiene una novedad vigente durante el lapso de tiempo relacionado en este registro. <br> Por favor revisar los conceptos del empleado.";
			}else{
				$query="INSERT INTO novedades (
				id,
				codigo,
				tipo_novedad,
				fecha_registro,
				cargado_por,
				fecha_inicio_novedad,
				hora_ingreso,
				motivo,
				remunerado,
				tiempo_viaje,
				estado_novedad
				)
				VALUES (
					'".$_SESSION['id_validar']."',
					'$codigo',
					'$tipo_novedad',
					'$fecha_registro',
					'$cargado_por',
					'$fecha_inicio_novedad',
					'$hora_ingreso',
					'$motivo',
					'$remunerado',
					'$tiempo_viaje',
					'$estado'
				)";
				$consulta=mysql_query($query);
				$resultado=mysql_num_rows($consulta);
				$response_sucess .= "Novedad registrada";
			}
		}
	}

	if($tipo_novedad == "Ausencias"){
		$codigo=$_POST['cedula'];
		$tipo_novedad=$_POST['select_novedad'];
		$fecha_registro = date('Y-m-d H:i:s');
		$cargado_por=$_SESSION['nombre_validar'];
		$clase_ausencia=$_POST['clase_ausencia'];
		$ausencia_programada=$_POST['ausencia_programada'];
		$fecha_inicio_novedad=$_POST['fecha_inicio_novedad_ausencia'];
		$fecha_inicio_novedad = date('Y-m-d', strtotime($fecha_inicio_novedad));
		$fecha_fin_novedad=$_POST['fecha_fin_novedad_ausencia'];
		$fecha_fin_novedad = date('Y-m-d', strtotime($fecha_fin_novedad));
		$ausencia_medica=$_POST['ausencia_medica'];
		$validado_por_sso=$_POST['validado_por_sso'];
		$justificacion_ausencia=$_POST['justificacion_ausencia'];
		$tipo_permiso=$_POST['tipo_permiso'];
		$remunerado=$_POST['remunerado_ausencia'];
		$tiempo_viaje_ausencia=$_POST['tiempo_viaje_ausencia'];
		$motivo=$_POST['motivo_ausencia'];
		$hora_salida_ausencia=$_POST['hora_salida_ausencia'];
		$hora_salida_ausencia = date("H:i a" , strtotime($hora_salida_ausencia));
		$hora_llegada_ausencia=$_POST['hora_llegada_ausencia'];
		$hora_llegada_ausencia = date("H:i a" , strtotime($hora_llegada_ausencia));
		$estado = "Registrada";

		//Verifica si se va a hacer una edición de una novedad existente
		if ($_POST['id_novedad'] != ''){
			//Va a editar Ausencias
			/*
			Datos que son editables de ausencias:
				- Fecha inicio novedad
				- Fecha fin novedad
				- Validada por SSO
				- Motivo
				-	Ausencia programada
				-	Justificacion de ausencia
				-	Tipo de permiso
				-	Remunerado
				-	Tiempo de viaje
				-	Hora salida ausencia
				-	Hora llegada ausencia
			*/
			$query_edit_nov="UPDATE novedades SET fecha_inicio_novedad = '$fecha_inicio_novedad', fecha_fin_novedad = '$fecha_fin_novedad', validado_por_sso= '$validado_por_sso', motivo = '$motivo', ausencia_programada= '$ausencia_programada', justificacion_ausencia= '$justificacion_ausencia', tipo_permiso='$tipo_permiso', remunerado ='$remunerado', tiempo_viaje='$tiempo_viaje_ausencia', hora_salida = '$hora_salida_ausencia', hora_ingreso = '$hora_llegada_ausencia' WHERE id_novedad = '".$_POST['id_novedad']."' ";
			$resultado = mysql_query($query_edit_nov);
			$response_sucess .= "Novedad actualizada";
		}else{
			$query1 = "SELECT * FROM novedades
			WHERE fecha_inicio_novedad = '$fecha_inicio_novedad'
			AND codigo = '$codigo' AND estado_novedad = 'Registrada' AND id = '".$_SESSION['id_validar']."'";
			$resultado = mysql_query($query1);
			$num = mysql_num_rows($resultado);

			if($num != 0){
				$response_alert .= "<b>No se puede registrar la novedad</b><br> La persona tiene una novedad vigente durante el lapso de tiempo relacionado en este registro. <br> Por favor revisar los conceptos del empleado.";
			}else{
				$query="INSERT INTO novedades (
				id,
				codigo,
				tipo_novedad,
				fecha_registro,
				cargado_por,
				clase_ausencia,
				ausencia_programada,
				fecha_inicio_novedad,
				fecha_fin_novedad,
				hora_ingreso,
				hora_salida,
				ausencia_medica,
				validado_por_sso,
				justificacion_ausencia,
				tipo_permiso,
				remunerado,
				tiempo_viaje,
				motivo,
				estado_novedad
				)
				VALUES (
					'".$_SESSION['id_validar']."',
					'$codigo',
					'$tipo_novedad',
					'$fecha_registro',
					'$cargado_por',
					'$clase_ausencia',
					'$ausencia_programada',
					'$fecha_inicio_novedad',
					'$fecha_fin_novedad',
					'$hora_llegada_ausencia',
					'$hora_salida_ausencia',
					'$ausencia_medica',
					'$validado_por_sso',
					'$justificacion_ausencia',
					'$tipo_permiso',
					'$remunerado',
					'$tiempo_viaje_ausencia',
					'$motivo',
					'$estado'
				)";
				$consulta=mysql_query($query);
				$resultado=mysql_num_rows($consulta);
				$response_sucess .= "Novedad registrada";
			}
		}
	}

	if($tipo_novedad == "salida_anticipada"){
		$codigo=$_POST['cedula'];
		$tipo_novedad=$_POST['select_novedad'];
		$fecha_registro = date('Y-m-d H:i:s');
		$cargado_por=$_SESSION['nombre_validar'];
		$fecha_inicio_novedad=$_POST['fecha_inicio_novedad_salida_anticipada'];
		$fecha_inicio_novedad=date('Y-m-d', strtotime($fecha_inicio_novedad));
		$hora_salida=$_POST['hora_salida_salida_anticipada'];
		$hora_salida = date("H:i a" , strtotime($hora_salida));
		$remunerado=$_POST['remunerado_salida_anticipada'];
		$motivo=$_POST['motivo_salida_anticipada'];
		$estado = "Registrada";

		//Verifica si se va a hacer una edición de una novedad existente
		if ($_POST['id_novedad'] != ''){
			//Va a editar Salida anticipada
			/*
			Datos que son editables de Salida anticipada:
				- Salida remunerada
				- Motivo
			*/
			$query_edit_nov="UPDATE novedades SET remunerado = '$remunerado', motivo = '$motivo' WHERE id_novedad = '".$_POST['id_novedad']."' ";
			$resultado = mysql_query($query_edit_nov);
			$response_sucess .= "Novedad actualizada";
		}else{
			$query1 = "SELECT * FROM novedades
			WHERE fecha_inicio_novedad = '$fecha_inicio_novedad'
			AND codigo = '$codigo' AND estado_novedad = 'Registrada' AND id = '".$_SESSION['id_validar']."'";
			$resultado = mysql_query($query1);
			$num = mysql_num_rows($resultado);

			if($num != 0){
				$response_alert .= "<b>No se puede registrar la novedad</b><br> La persona tiene una novedad vigente durante el lapso de tiempo relacionado en este registro. <br> Por favor revisar los conceptos del empleado.";
			}else{
				$query="INSERT INTO novedades (
				id,
				codigo,
				tipo_novedad,
				fecha_registro,
				cargado_por,
				fecha_inicio_novedad,
				hora_salida,
				remunerado,
				motivo,
				estado_novedad
				)
				VALUES (
					'".$_SESSION['id_validar']."',
					'$codigo',
					'$tipo_novedad',
					'$fecha_registro',
					'$cargado_por',
					'$fecha_inicio_novedad',
					'$hora_salida',
					'$remunerado',
					'$motivo',
					'$estado'
				)";
				$consulta=mysql_query($query);
				$resultado=mysql_num_rows($consulta);
				$response_sucess .= "Novedad registrada";
			}
		}
	}
}
?>
<head>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
	<link rel="stylesheet" href="css/timepicker.min.css">
	<script src="js/timepicker.min.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src='js/bootstrap.min.js'></script>
</head>
<style>
	.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
		color: #fff;
		text-decoration: none;
		background-color: #337ab7;
		outline: 0;
	}
	#tabla_novedades .horas_extras, .ausencia_medica, .validado_por_sso, .justificacion_ausencia, .remunerado_ausencia, .tiempo_viaje_ausencia, .ausencia, .ausencia_programada, .tipo_permiso_ausencia, .retardo, .salida_anticipada, .horassalida_anticipada, .datos_trabajador, .hora_salida_ausencia, .hora_llegada_ausencia  {
  	display: none;
	}
	#ocultar {
  	display: none;
	}

	.form-control-time {
	width: 80px;
    height: 34px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
	}
	.boton{
    /* width: 100%; */
    color: #FFFFFF;
    /* font-size: 0.8725em; */
    padding: 7px;
    margin-bottom: 5px;
    margin-top: 6px;
    outline: none;
    /* margin: 5px 0; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
	}
	.ver_extras{
    /* width: 100%; */
    color: #FFFFFF;
    /* font-size: 0.8725em; */
    padding: 7px;
    margin-bottom: 5px;
    margin-top: 10px;
    outline: none;
    /* margin: 5px 0; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
	}

	/*the container must be positioned relative:*/
	.autocomplete {
	  position: relative;
	  display: inline-block;
	  text-transform: capitalize;
	}
	.autocompletar{
		text-transform: capitalize;
	}
	.registrado{
		color: green;
		margin-left: 7%;
		font-weight: bold;
	}
	.autocomplete-items {
	  position: absolute;
	  border: 1px solid #d4d4d4;
	  border-bottom: none;
	  border-top: none;
	  z-index: 99;
	  /*position the autocomplete items to be the same width as the container:*/
	  top: 100%;
	  left: 0;
	  right: 0;
	}

	.autocomplete-items div {
	  padding: 5px;
	  cursor: pointer;
	  background-color: #fff;
	  border-bottom: 1px solid #d4d4d4;
	}

	/*when hovering an item:*/
	.autocomplete-items div:hover {
	  background-color: #e9e9e9;
	}

	/*when navigating through the items using the arrow keys:*/
	.autocomplete-active {
	  background-color: DodgerBlue !important;
	  color: #ffffff;
	}
	.modal-header .close{margin-top:-22px}

	.modal-body {
	  position: relative;
	  padding-top: 20px;
	  padding-left: 20px;
	  padding-bottom: 0px;
	}

	.label_status_novedad{
		background-color: #7dbe2c !important;
		color: #fff;
		display: inline;
    padding: .2em .6em .3em;
    font-size: 90%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
	}

	#response_alert{
		background: #035493;
		padding: 10px;
		width: auto;
    color: #fff;
    text-align: left;
		line-height : 25px;
	}

	#response_sucess{
		background: #36C1E2;
		padding: 10px;
		width: auto;
    color: #fff;
    text-align: left;
		line-height : 25px;
	}

</style>


<!-- Modal Impresión de detalle de novedades-->
<div class="modal fade" id="empModal" role="dialog">
		<div class="modal-dialog ">
				<!-- Modal content-->
				<div class="modal-content">
						<div class="modal-header">
								<h4 class="modal-title">Información de novedad</h4>
							<button type="button" class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" style="background-color: #36C1E2; color: #FFFFFF;" data-dismiss="modal">Cerrar</button>
						</div>
				</div>
		</div>
</div>

<?php

//Si es supervisor, puede solicitar aprobación de novedades a gerente
//Si es gerente y además tiene permisos de registrar alguna novedad, puede solicitar aprobación de novedades a gerente
//Si es RRHH y además tiene permisos de registrar alguna novedad, puede solicitar aprobación de novedades a gerente
if (($_SESSION['rol']=='supervisor')|| ($_SESSION['rol']=='rrhh') ||(($_SESSION['rol']=='gerente')&&( (substr($_SESSION['acceso_validar'],28,1)=='1') || (substr($_SESSION['acceso_validar'],32,1)=='1') || (substr($_SESSION['acceso_validar'],35,1)=='1') || (substr($_SESSION['acceso_validar'],37,1)=='1') ))){
	echo "<b>Opciones:</b> ";
	echo "&nbsp;&nbsp;<img border = 0 src='img2/reporte.png' alt='Modificar'><a href='#' id='solicitarAprobacionGerente'> Solicitar aprobación de novedades a Gerente</a>";
}
echo "</font><hr>";
///////////////////// INICIO MENU DE OPCIONES
echo "<main class='container'>";
echo "<section class='row text-center'>";
echo "<h2 class='text-dark text-left' style='margin-left:0px !important;'>Registro de novedades de N&oacute;mina</h2>";
echo "<form autocomplete='off' name = 'entrada' id='entrada' action ='".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' style='line-height: 3.5; '>";
echo "<input type='hidden' name='desde' id='desde'>";
echo "<input type='hidden' name='hasta' id='hasta'>";

//Imprime resultados satisfactorios
if ($response_sucess != ""){
	echo "<div id='response_sucess'>";
	echo "$response_sucess";
	echo "</div>";
}
//Imprime resultados de error o alerta
if ($response_alert != ""){
	echo "<div id='response_alert'>";
	echo "$response_alert";
	echo "</div>";
}

echo "<div class='col-sm-6 justify-content-center m-auto'>";
echo "<input type = 'hidden' name = 'inicio' value = '1'>";
echo "<table id='tabla_novedades' align ='left'  style='position:static;left:5%;' width='50' heigth='50'>";

//echo "<tr><td>Novedad registrada</td><tr>";


echo "<tr><td>Seleccione trabajador</td>
		<td  style='width:450px; display: block;'>
		<div class='autocomplete form-group' style='width:230px;'>
		 <input class='autocompletar form-control' name='trabajador' style='position:relative; top:10px;' id='trabajador' size='30' maxlength='8' value=''>
		</div>
		</td>
		<td class='datos_trabajador'>
			<!-- <strong style='font-size: 18px; color:#36c1e2'>Novedades registradas</strong> -->
		<td>
	</tr>";
echo "<tr class='selectNovedad' style='visibility: hidden;'>
		<td class='label-novedad'>Seleccione novedad</td>
		<td>
		<select style='width:210px;' name='select_novedad' id='select_novedad' class='form-control'>
			<option value='' selected> Seleccione novedad";

if (substr($_SESSION['acceso_validar'],28,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<option value='horas_extras'>Horas extras";
}
if (substr($_SESSION['acceso_validar'],32,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<option value='Retardos'>Retardos";
}
if (substr($_SESSION['acceso_validar'],37,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' || substr($_SESSION['acceso_validar'],34,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<option value='Ausencias'>Ausencias";
}
if (substr($_SESSION['acceso_validar'],35,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<option value='salida_anticipada'>Salida Anticipada";
}

echo "</select>
		</td>
	</tr>";

echo "<tr style='height: 1px;'></tr>";
echo "<div style='position: relative;top: -20px;'>
	<tr style='visibility: hidden;' class='datesNovedad'>
		<td class='label-nombre'>Nombres</td>
		<td class='datos_trabajador' >
		<div id='nombre'></div>
		</td>
	</tr>";
echo "<tr style='visibility: hidden;' class='datesNovedad'>
	<td >Cédula</td>
	<td class='datos_trabajador' >
		<div id='cedula_impr'></div>
	 	<input type='hidden' id='cedula' name='cedula' required >
	</td>
 </tr>";
echo "<tr style='visibility: hidden;' class='datesNovedad'>
	<td >Cargo</td>
	<td class='datos_trabajador' >
 		<div id='cargo'></div>
	</td>
</tr>";
echo "<tr style='visibility: hidden;' class='datesNovedad'>
	<td >Departamento</td>
	<td class='datos_trabajador' >
		<div id='departamento'></div>
	</td>
</tr>";
echo "<tr style='visibility: hidden;' class='datesNovedad'>
	<td >Jornada de trabajo</td>
	<td class='datos_trabajador' >
		<div id='jornada_trabajador'></div>
	</td>
</tr>";
echo "<tr style='visibility: hidden;' class='datesNovedad'>
  <td valign='top' >Horario de trabajo asignado</td>
  <td valign='top' class='datos_trabajador' >
		<div id='horario_trabajador'></div>
  </td>
 	</tr>
</div>";

echo "<tr style='height: 1px;'>
	<td colspan='2'>
		<hr style='border-bottom:1px solid gray visibility: hidden; margin: 0;' class='lineNovedad' width='550'>
	</td>
</tr>";
echo "<tr style='height: 2px;'></tr>";

if (substr($_SESSION['acceso_validar'],28,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
	//Novedad - Horas Extras
	echo "<tr class='horas_extras' >
	 <td >Fecha de novedad</td>
	 <td >
		 <input type='text' style='height: 30px;' id='fecha_inicio_novedad_horas_extras' name='fecha_inicio_novedad_horas_extras' >
	 </td>
	</tr>";
	echo "<tr class='horas_extras'>
		<div class='m-auto'>
	 		<td >Hora de ingreso</td>
	 		<td>
	 			<input type='text' class='form-control-time bs-timepicker from-control' id='hora_ingreso_horas_extras' name='hora_ingreso_horas_extras'>
				&nbsp; &nbsp;
				Hora de salida
				<input type='text' class='form-control-time bs-timepicker' id='hora_salida_horas_extras' name='hora_salida_horas_extras'>
	 </td></div>
	</tr>";
	echo "<tr class='horas_extras'>
	 <td >Motivo</td>
	 <td colspan='2' >
	 	<textarea cols='40' rows='4' id='motivo_horas_extras' name='motivo_horas_extras' > </textarea>
	 </td>
	</tr>";
}

if (substr($_SESSION['acceso_validar'],37,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' ||  substr($_SESSION['acceso_validar'],34,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
	//Novedad - ausencia
	echo "<tr class='ausencia'>
	 <td >Clase de ausencia</td>
	 <td >
	 		 <select style='width:300px;' name='clase_ausencia' id='clase_ausencia'>
			 <option value='' selected> Seleccione ausencia
	 ";

	 //Es medico, No puede crear, No es de RRHH
	 if (substr($_SESSION['acceso_validar'],34,1)=='1' ) {
		 echo "<option value='ausencia_medica'>Ausencia Médica";
	 }else{
		 echo "<option value='Fuerza Mayor AJ'>Fuerza mayor AJ (Claus55)
	 			 	<option value='ausencia_medica'>Ausencia Médica
	 			 	<option value='otra'>Otra
	 		 </select>
	 	 </td>
	 	</tr>";
	 }
	echo "<tr class='ausencia'>
	 <td >Fecha inicio de novedad</td>
	 <td >
		 <input type='text' style='height: 30px;' id='fecha_inicio_novedad_ausencia' name='fecha_inicio_novedad_ausencia'>
	 </td>
	</tr>";
	echo "<tr class='ausencia'>
	 <td >Fecha fin de novedad</td>
	 <td >
		 <input type='text' style='height: 30px;' id='fecha_fin_novedad_ausencia' name='fecha_fin_novedad_ausencia'>
	 </td>
	</tr>";
	echo "<tr class='ausencia_programada'>
	 <td >Ausencia programada:</td>
	 <td >
		 <input type='radio' id='si' class='ausencia_programada_si' name='ausencia_programada' value='Si'>
		 Si  &nbsp; &nbsp;
		 <input type='radio' id='no' class='ausencia_programada_no' name='ausencia_programada' value='No'>
		 No  &nbsp; &nbsp;
	 </td>
	</tr>";

	if (substr($_SESSION['acceso_validar'],34,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<tr class='validado_por_sso'>
		 <td >Validado por SSO:</td>
		 <td >
			 <input type='radio' id='si' name='validado_por_sso' class='validado_por_sso_si' value='Si'>
			 Si  &nbsp; &nbsp;
			 <input type='radio' id='no' name='validado_por_sso' class='validado_por_sso_no' value='No'>
			 No  &nbsp; &nbsp;
		 </td>
		</tr>";
	}
	echo "<tr class='justificacion_ausencia'>
	 <td >Justificación de ausencia</td>
	 <td >
		 <select style='width:300px;' name='justificacion_ausencia' id='justificacion_ausencia'>
			 <option value='' selected> Seleccione justificación
			 <option value='falta_injustificada'>Falta injustificada
			 <option value='falta_justificada'>Falta justificada
			 <option value='paralizacion_planta'>GR - Paralización de planta
			 <option value='parada_fuerzam_tipo_viaje'>GJ - Parada planta fuerza mayor tiempo de viaje
			 <option value='permiso'>Permiso
		 </select>
	 </td>
	</tr>";
	echo "<tr class='tipo_permiso_ausencia'>
	 <td >Tipo de permiso</td>
	 <td >
		 <select style='width:300px;' name='tipo_permiso' id='tipo_permiso_ausencia'>
			 <option value='' selected> Seleccione justificación
			 <option value='tramite_personal'>Claus19-Trámite personal
			 <option value='examenes_medicos'>Claus20-Examenes Médicos
			 <option value='eventos_culturales'>Claus21-Eventos Cultur/Deport
			 <option value='servicio_militar'>Claus22-Servicio Civil O Militar
			 <option value='detenciones'>Claus23-Detenciones (Suspensión)
			 <option value='matrimonio'>Claus41-Matrimonio
			 <option value='defuncion_familiar'>Claus42-Defunción Familiar
			 <option value='eventos_sindicales'>Claus72-Eventos sindicales
			 <option value='control_prenatal'>Control prenatal
			 <option value='control_pediatrico_hijo'>Control pediatrico de hijo
			 <option value='descanso_compensatorio'>Descanso compensatorio
			 <option value='licencia_paternidad'>Licencia de parternidad
			 <option value='nacimiento_hijo'>Nacimiento de un hijo
			 <option value='salida_con_retorno'>SR - Salida con retorno
		 </select>
	 </td>
	</tr>";

	if (substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
		echo "<tr class='remunerado_ausencia'>
		 <td >Remunerado</td>
		 <td >
			 <input type='radio' id='remunerado_ausencia_si' name='remunerado_ausencia' value='Si'>
			 Si  &nbsp; &nbsp;
			 <input type='radio' id='remunerado_ausencia_no' name='remunerado_ausencia' value='No'>
			 No  &nbsp; &nbsp;
		 </td>
		</tr>";
		echo "<tr class='tiempo_viaje_ausencia'>
		 <td >Tiempo de viaje</td>
		 <td >
			 <input type='radio' id='tiempo_viaje_ausencia_si' name='tiempo_viaje_ausencia' class='tiempo_viaje_ausencia_si' value='Si'>
			 Si  &nbsp; &nbsp;
			 <input type='radio' id='tiempo_viaje_ausencia_no' name='tiempo_viaje_ausencia' class='tiempo_viaje_ausencia_no' value='No'>
			 No  &nbsp; &nbsp;
		 </td>
		</tr>";
	}

	echo "<tr class='hora_salida_ausencia'>
	 <td> Hora salida ausencia</td>
	 <td colspan='2' >
	 	<input type='text' class='form-control-time bs-timepicker' id='hora_salida_ausencia' name='hora_salida_ausencia' >
	 </td>
	</tr>";
	echo "<tr class='hora_llegada_ausencia'>
	 <td> Hora llegada ausencia</td>
	 <td colspan='2' >
	 	<input type='text' class='form-control-time bs-timepicker' id='hora_llegada_ausencia' name='hora_llegada_ausencia' >
	 </td>
	</tr>";
	echo "<tr class='ausencia'>
	 <td >Motivo</td>
	 <td colspan='2' >
	 	<textarea cols='40' rows='4' id='motivo_ausencia' name='motivo_ausencia' > </textarea>
	 </td>
	</tr>";
}

if (substr($_SESSION['acceso_validar'],32,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
	//Novedad - Retardos
	echo "<tr class='retardo'>
	 <td >Fecha inicio de novedad</td>
	 <td >
		 <input type='text' style='height: 30px;' id='fecha_inicio_novedad_retardo' name='fecha_inicio_novedad_retardo'>
	 </td>
	</tr>";
	echo "<tr class='retardo' >
	 <td >Hora de ingreso</td>
	 <td >
	 	<input type='text' class='form-control-time bs-timepicker' id='hora_ingreso_retardo' name='hora_ingreso_retardo'>
	 </td>
	</tr>";

	if (substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {

		echo "<tr class='retardo'>
		 <td >Remunerado</td>
		 <td >
			 <input type='radio' id='remunerado_retardo_si' name='remunerado_retardo' value='Si'>
			 Si &nbsp; &nbsp;
			 <input type='radio' id='remunerado_retardo_no' name='remunerado_retardo' value='No'>
			 No
		 </td>
		</tr>";
		echo "<tr class='retardo'>
		 <td >Tiempo de viaje:</td>
		 <td >
			 <input type='radio' id='tiempo_viaje_si' name='tiempo_viaje' value='Si'>
			 Si &nbsp; &nbsp;
			 <input type='radio' id='tiempo_viaje_no' name='tiempo_viaje' value='No'>
			 No
		 </td>
		</tr>";
	}


	echo "<tr class='retardo'>
	 <td >Motivo</td>
	 <td colspan='2' >
	  <textarea cols='40' rows='4' id='motivo_retardo' name='motivo_retardo' ></textarea>
	 </td>
	</tr>";
}

if (substr($_SESSION['acceso_validar'],35,1)=='1' || substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
	//Novedad - Salida Anticipada
	echo "<tr class='salida_anticipada'>
	 <td >Fecha inicio de novedad</td>
	 <td >
		 <input type='text' style='height: 30px;' id='fecha_inicio_novedad_salida_anticipada' name='fecha_inicio_novedad_salida_anticipada' >
	 </td>
	</tr>";
	echo "<tr class='salida_anticipada'>
	 <td class='salida_anticipada'>Hora de salida</td>
	 <td class='salida_anticipada' >
	 	<input type='text' class='form-control-time bs-timepicker' id='hora_salida_salida_anticipada' name='hora_salida_salida_anticipada'>
	 </td>
	</tr>";
	if (substr($_SESSION['acceso_validar'],30,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {

		echo "<tr class='salida_anticipada'>
		 <td >Salida remunerada</td>
		 <td >
			 <input type='radio' id='remunerado_salida_anticipada_si' name='remunerado_salida_anticipada' value='Si'>
			 <label for='si'>Si</label> &nbsp; &nbsp; &nbsp; &nbsp;
			 <input type='radio' id='remunerado_salida_anticipada_no' name='remunerado_salida_anticipada' value='No'>
			 <label for='no'>No</label>
		 </td>
		</tr>";
	}

	echo "<tr class='salida_anticipada'>
	 <td >Motivo</td>
	 <td >
		 <textarea cols='40' rows='4' id='motivo_salida_anticipada' name='motivo_salida_anticipada' > </textarea>
	 </td>
	</tr>";
}

echo "<tr class='buttonNovedad' style='visibility: hidden;'>";
echo "<td><input name='procesar' id='procesar' type='submit' value='Registrar novedad'></td>";
echo "</td>";
echo "</tr>";
echo "</table>";
echo "</div>";

//Input para identificar si se va a realizar un update de una novedad ya existente
echo "<input id='id_novedad' name='id_novedad' type='hidden' value=''>";

echo "<div class='col-sm-6 justify-content-center m-auto'>";
echo "<table id='tabla_trabajadores' name='tabla_trabajadores'  style='position: static; align-content: left; margin-left:30%;' class='myTable'>
		<tbody id='titulodatos_trabajadores'></tbody>
		<tbody id='datos_trabajadores'></tbody>
		</table>";
echo "<input type='hidden' name='cedula_ingresa' id='cedula_ingresa' value='".$_SESSION['position_number']."' > ";
echo "</div>";

echo "<div class='col-sm-6 justify-content-center'>";
echo"<td class='datos_trabajador' style='position:relative; top:-10px'>
	<strong style='font-size: 21px; color:#36c1e2; visibility:hidden; position:relative; top:-100px' class='nov'>Novedades registradas</strong>
<td>";
echo "<td rowspan='100%' style='vertical-align: top; position: static;  align-content: left; margin-left:30%;'
	class='datos_trabajador div'>
	<table
		style='border:0px dotted black; max-width:400px vertical-align: top; align-content: left; position: relative; top:-130px'>
		<tbody id='titulodatoshoras_extras'></tbody>
		<tbody id='datoshoras_extras'></tbody>
	</table>
	<table
		style='border:0px dotted black; max-width:400px vertical-align: top; align-content: left; position: relative; top:-130px'>
		<tbody id='titulodatosausencia'></tbody>
		<tbody id='datosausencia'></tbody>
	</table>
	<table
		style='border:0px dotted black; max-width:400px vertical-align: top; align-content: left; position: relative; top:-130px'>
		<tbody id='titulodatosretardos'></tbody>
		<tbody id='datosretardos'></tbody>
	</table>
	<table
		style='border:0px dotted black; max-width:400px vertical-align: top; align-content: left; position: relative; top:-130px'>
		<tbody id='titulodatossalida_anticipada'></tbody>
		<tbody id='datossalida_anticipada'></tbody>
	</table>
	<table
		style='border:0px dotted black; max-width:400px vertical-align: top; align-content: left; position: relative; top:-130px'>
		<tbody id='titulodatoslicencia'></tbody>
		<tbody id='datoslicencia'></tbody>
	</table>
</td>";
echo "</div>";
echo "</form>";
echo "</section>";
echo "</main>";
?>
<script>
profile = "<?php echo $_SESSION['acceso_validar']; ?>" ;
</script>
<script src="js/registro_novedades_nomina.js"></script>

<?php
			//mysql_free_result($consulta);
?>
</body>
</html>
